Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network237.192.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
237.192.0.0
Broadcast address
237.255.255.255
First usable
237.192.0.1
Last usable
237.255.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex EDC00000 · Integer 3988783104 to 3992977407
Reverse DNS zones
192.237.in-addr.arpa
193.237.in-addr.arpa
194.237.in-addr.arpa
195.237.in-addr.arpa
196.237.in-addr.arpa
197.237.in-addr.arpa
198.237.in-addr.arpa
199.237.in-addr.arpa
200.237.in-addr.arpa
201.237.in-addr.arpa
202.237.in-addr.arpa
203.237.in-addr.arpa
204.237.in-addr.arpa
205.237.in-addr.arpa
206.237.in-addr.arpa
207.237.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101101.11000000.00000000.00000000237.192.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network11101101.11000000.00000000.00000000237.192.0.0
Broadcast11101101.11111111.11111111.11111111237.255.255.255
Split into smaller subnets/20

237.192.0.0/10 makes 1,024 subnets of /20; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1237.192.0.0/20237.192.0.1 to 237.192.15.254237.192.15.2554,094
2237.192.16.0/20237.192.16.1 to 237.192.31.254237.192.31.2554,094
3237.192.32.0/20237.192.32.1 to 237.192.47.254237.192.47.2554,094
4237.192.48.0/20237.192.48.1 to 237.192.63.254237.192.63.2554,094
5237.192.64.0/20237.192.64.1 to 237.192.79.254237.192.79.2554,094
6237.192.80.0/20237.192.80.1 to 237.192.95.254237.192.95.2554,094
7237.192.96.0/20237.192.96.1 to 237.192.111.254237.192.111.2554,094
8237.192.112.0/20237.192.112.1 to 237.192.127.254237.192.127.2554,094
9237.192.128.0/20237.192.128.1 to 237.192.143.254237.192.143.2554,094
10237.192.144.0/20237.192.144.1 to 237.192.159.254237.192.159.2554,094
11237.192.160.0/20237.192.160.1 to 237.192.175.254237.192.175.2554,094
12237.192.176.0/20237.192.176.1 to 237.192.191.254237.192.191.2554,094
13237.192.192.0/20237.192.192.1 to 237.192.207.254237.192.207.2554,094
14237.192.208.0/20237.192.208.1 to 237.192.223.254237.192.223.2554,094
15237.192.224.0/20237.192.224.1 to 237.192.239.254237.192.239.2554,094
16237.192.240.0/20237.192.240.1 to 237.192.255.254237.192.255.2554,094
17237.193.0.0/20237.193.0.1 to 237.193.15.254237.193.15.2554,094
18237.193.16.0/20237.193.16.1 to 237.193.31.254237.193.31.2554,094
19237.193.32.0/20237.193.32.1 to 237.193.47.254237.193.47.2554,094
20237.193.48.0/20237.193.48.1 to 237.193.63.254237.193.63.2554,094
21237.193.64.0/20237.193.64.1 to 237.193.79.254237.193.79.2554,094
22237.193.80.0/20237.193.80.1 to 237.193.95.254237.193.95.2554,094
23237.193.96.0/20237.193.96.1 to 237.193.111.254237.193.111.2554,094
24237.193.112.0/20237.193.112.1 to 237.193.127.254237.193.127.2554,094
25237.193.128.0/20237.193.128.1 to 237.193.143.254237.193.143.2554,094
26237.193.144.0/20237.193.144.1 to 237.193.159.254237.193.159.2554,094
27237.193.160.0/20237.193.160.1 to 237.193.175.254237.193.175.2554,094
28237.193.176.0/20237.193.176.1 to 237.193.191.254237.193.191.2554,094
29237.193.192.0/20237.193.192.1 to 237.193.207.254237.193.207.2554,094
30237.193.208.0/20237.193.208.1 to 237.193.223.254237.193.223.2554,094
31237.193.224.0/20237.193.224.1 to 237.193.239.254237.193.239.2554,094
32237.193.240.0/20237.193.240.1 to 237.193.255.254237.193.255.2554,094
33237.194.0.0/20237.194.0.1 to 237.194.15.254237.194.15.2554,094
34237.194.16.0/20237.194.16.1 to 237.194.31.254237.194.31.2554,094
35237.194.32.0/20237.194.32.1 to 237.194.47.254237.194.47.2554,094
36237.194.48.0/20237.194.48.1 to 237.194.63.254237.194.63.2554,094
37237.194.64.0/20237.194.64.1 to 237.194.79.254237.194.79.2554,094
38237.194.80.0/20237.194.80.1 to 237.194.95.254237.194.95.2554,094
39237.194.96.0/20237.194.96.1 to 237.194.111.254237.194.111.2554,094
40237.194.112.0/20237.194.112.1 to 237.194.127.254237.194.127.2554,094
41237.194.128.0/20237.194.128.1 to 237.194.143.254237.194.143.2554,094
42237.194.144.0/20237.194.144.1 to 237.194.159.254237.194.159.2554,094
43237.194.160.0/20237.194.160.1 to 237.194.175.254237.194.175.2554,094
44237.194.176.0/20237.194.176.1 to 237.194.191.254237.194.191.2554,094
45237.194.192.0/20237.194.192.1 to 237.194.207.254237.194.207.2554,094
46237.194.208.0/20237.194.208.1 to 237.194.223.254237.194.223.2554,094
47237.194.224.0/20237.194.224.1 to 237.194.239.254237.194.239.2554,094
48237.194.240.0/20237.194.240.1 to 237.194.255.254237.194.255.2554,094
49237.195.0.0/20237.195.0.1 to 237.195.15.254237.195.15.2554,094
50237.195.16.0/20237.195.16.1 to 237.195.31.254237.195.31.2554,094
51237.195.32.0/20237.195.32.1 to 237.195.47.254237.195.47.2554,094
52237.195.48.0/20237.195.48.1 to 237.195.63.254237.195.63.2554,094
53237.195.64.0/20237.195.64.1 to 237.195.79.254237.195.79.2554,094
54237.195.80.0/20237.195.80.1 to 237.195.95.254237.195.95.2554,094
55237.195.96.0/20237.195.96.1 to 237.195.111.254237.195.111.2554,094
56237.195.112.0/20237.195.112.1 to 237.195.127.254237.195.127.2554,094
57237.195.128.0/20237.195.128.1 to 237.195.143.254237.195.143.2554,094
58237.195.144.0/20237.195.144.1 to 237.195.159.254237.195.159.2554,094
59237.195.160.0/20237.195.160.1 to 237.195.175.254237.195.175.2554,094
60237.195.176.0/20237.195.176.1 to 237.195.191.254237.195.191.2554,094
61237.195.192.0/20237.195.192.1 to 237.195.207.254237.195.207.2554,094
62237.195.208.0/20237.195.208.1 to 237.195.223.254237.195.223.2554,094
63237.195.224.0/20237.195.224.1 to 237.195.239.254237.195.239.2554,094
64237.195.240.0/20237.195.240.1 to 237.195.255.254237.195.255.2554,094
65237.196.0.0/20237.196.0.1 to 237.196.15.254237.196.15.2554,094
66237.196.16.0/20237.196.16.1 to 237.196.31.254237.196.31.2554,094
67237.196.32.0/20237.196.32.1 to 237.196.47.254237.196.47.2554,094
68237.196.48.0/20237.196.48.1 to 237.196.63.254237.196.63.2554,094
69237.196.64.0/20237.196.64.1 to 237.196.79.254237.196.79.2554,094
70237.196.80.0/20237.196.80.1 to 237.196.95.254237.196.95.2554,094
71237.196.96.0/20237.196.96.1 to 237.196.111.254237.196.111.2554,094
72237.196.112.0/20237.196.112.1 to 237.196.127.254237.196.127.2554,094
73237.196.128.0/20237.196.128.1 to 237.196.143.254237.196.143.2554,094
74237.196.144.0/20237.196.144.1 to 237.196.159.254237.196.159.2554,094
75237.196.160.0/20237.196.160.1 to 237.196.175.254237.196.175.2554,094
76237.196.176.0/20237.196.176.1 to 237.196.191.254237.196.191.2554,094
77237.196.192.0/20237.196.192.1 to 237.196.207.254237.196.207.2554,094
78237.196.208.0/20237.196.208.1 to 237.196.223.254237.196.223.2554,094
79237.196.224.0/20237.196.224.1 to 237.196.239.254237.196.239.2554,094
80237.196.240.0/20237.196.240.1 to 237.196.255.254237.196.255.2554,094
81237.197.0.0/20237.197.0.1 to 237.197.15.254237.197.15.2554,094
82237.197.16.0/20237.197.16.1 to 237.197.31.254237.197.31.2554,094
83237.197.32.0/20237.197.32.1 to 237.197.47.254237.197.47.2554,094
84237.197.48.0/20237.197.48.1 to 237.197.63.254237.197.63.2554,094
85237.197.64.0/20237.197.64.1 to 237.197.79.254237.197.79.2554,094
86237.197.80.0/20237.197.80.1 to 237.197.95.254237.197.95.2554,094
87237.197.96.0/20237.197.96.1 to 237.197.111.254237.197.111.2554,094
88237.197.112.0/20237.197.112.1 to 237.197.127.254237.197.127.2554,094
89237.197.128.0/20237.197.128.1 to 237.197.143.254237.197.143.2554,094
90237.197.144.0/20237.197.144.1 to 237.197.159.254237.197.159.2554,094
91237.197.160.0/20237.197.160.1 to 237.197.175.254237.197.175.2554,094
92237.197.176.0/20237.197.176.1 to 237.197.191.254237.197.191.2554,094
93237.197.192.0/20237.197.192.1 to 237.197.207.254237.197.207.2554,094
94237.197.208.0/20237.197.208.1 to 237.197.223.254237.197.223.2554,094
95237.197.224.0/20237.197.224.1 to 237.197.239.254237.197.239.2554,094
96237.197.240.0/20237.197.240.1 to 237.197.255.254237.197.255.2554,094
97237.198.0.0/20237.198.0.1 to 237.198.15.254237.198.15.2554,094
98237.198.16.0/20237.198.16.1 to 237.198.31.254237.198.31.2554,094
99237.198.32.0/20237.198.32.1 to 237.198.47.254237.198.47.2554,094
100237.198.48.0/20237.198.48.1 to 237.198.63.254237.198.63.2554,094
101237.198.64.0/20237.198.64.1 to 237.198.79.254237.198.79.2554,094
102237.198.80.0/20237.198.80.1 to 237.198.95.254237.198.95.2554,094
103237.198.96.0/20237.198.96.1 to 237.198.111.254237.198.111.2554,094
104237.198.112.0/20237.198.112.1 to 237.198.127.254237.198.127.2554,094
105237.198.128.0/20237.198.128.1 to 237.198.143.254237.198.143.2554,094
106237.198.144.0/20237.198.144.1 to 237.198.159.254237.198.159.2554,094
107237.198.160.0/20237.198.160.1 to 237.198.175.254237.198.175.2554,094
108237.198.176.0/20237.198.176.1 to 237.198.191.254237.198.191.2554,094
109237.198.192.0/20237.198.192.1 to 237.198.207.254237.198.207.2554,094
110237.198.208.0/20237.198.208.1 to 237.198.223.254237.198.223.2554,094
111237.198.224.0/20237.198.224.1 to 237.198.239.254237.198.239.2554,094
112237.198.240.0/20237.198.240.1 to 237.198.255.254237.198.255.2554,094
113237.199.0.0/20237.199.0.1 to 237.199.15.254237.199.15.2554,094
114237.199.16.0/20237.199.16.1 to 237.199.31.254237.199.31.2554,094
115237.199.32.0/20237.199.32.1 to 237.199.47.254237.199.47.2554,094
116237.199.48.0/20237.199.48.1 to 237.199.63.254237.199.63.2554,094
117237.199.64.0/20237.199.64.1 to 237.199.79.254237.199.79.2554,094
118237.199.80.0/20237.199.80.1 to 237.199.95.254237.199.95.2554,094
119237.199.96.0/20237.199.96.1 to 237.199.111.254237.199.111.2554,094
120237.199.112.0/20237.199.112.1 to 237.199.127.254237.199.127.2554,094
121237.199.128.0/20237.199.128.1 to 237.199.143.254237.199.143.2554,094
122237.199.144.0/20237.199.144.1 to 237.199.159.254237.199.159.2554,094
123237.199.160.0/20237.199.160.1 to 237.199.175.254237.199.175.2554,094
124237.199.176.0/20237.199.176.1 to 237.199.191.254237.199.191.2554,094
125237.199.192.0/20237.199.192.1 to 237.199.207.254237.199.207.2554,094
126237.199.208.0/20237.199.208.1 to 237.199.223.254237.199.223.2554,094
127237.199.224.0/20237.199.224.1 to 237.199.239.254237.199.239.2554,094
128237.199.240.0/20237.199.240.1 to 237.199.255.254237.199.255.2554,094
129237.200.0.0/20237.200.0.1 to 237.200.15.254237.200.15.2554,094
130237.200.16.0/20237.200.16.1 to 237.200.31.254237.200.31.2554,094
131237.200.32.0/20237.200.32.1 to 237.200.47.254237.200.47.2554,094
132237.200.48.0/20237.200.48.1 to 237.200.63.254237.200.63.2554,094
133237.200.64.0/20237.200.64.1 to 237.200.79.254237.200.79.2554,094
134237.200.80.0/20237.200.80.1 to 237.200.95.254237.200.95.2554,094
135237.200.96.0/20237.200.96.1 to 237.200.111.254237.200.111.2554,094
136237.200.112.0/20237.200.112.1 to 237.200.127.254237.200.127.2554,094
137237.200.128.0/20237.200.128.1 to 237.200.143.254237.200.143.2554,094
138237.200.144.0/20237.200.144.1 to 237.200.159.254237.200.159.2554,094
139237.200.160.0/20237.200.160.1 to 237.200.175.254237.200.175.2554,094
140237.200.176.0/20237.200.176.1 to 237.200.191.254237.200.191.2554,094
141237.200.192.0/20237.200.192.1 to 237.200.207.254237.200.207.2554,094
142237.200.208.0/20237.200.208.1 to 237.200.223.254237.200.223.2554,094
143237.200.224.0/20237.200.224.1 to 237.200.239.254237.200.239.2554,094
144237.200.240.0/20237.200.240.1 to 237.200.255.254237.200.255.2554,094
145237.201.0.0/20237.201.0.1 to 237.201.15.254237.201.15.2554,094
146237.201.16.0/20237.201.16.1 to 237.201.31.254237.201.31.2554,094
147237.201.32.0/20237.201.32.1 to 237.201.47.254237.201.47.2554,094
148237.201.48.0/20237.201.48.1 to 237.201.63.254237.201.63.2554,094
149237.201.64.0/20237.201.64.1 to 237.201.79.254237.201.79.2554,094
150237.201.80.0/20237.201.80.1 to 237.201.95.254237.201.95.2554,094
151237.201.96.0/20237.201.96.1 to 237.201.111.254237.201.111.2554,094
152237.201.112.0/20237.201.112.1 to 237.201.127.254237.201.127.2554,094
153237.201.128.0/20237.201.128.1 to 237.201.143.254237.201.143.2554,094
154237.201.144.0/20237.201.144.1 to 237.201.159.254237.201.159.2554,094
155237.201.160.0/20237.201.160.1 to 237.201.175.254237.201.175.2554,094
156237.201.176.0/20237.201.176.1 to 237.201.191.254237.201.191.2554,094
157237.201.192.0/20237.201.192.1 to 237.201.207.254237.201.207.2554,094
158237.201.208.0/20237.201.208.1 to 237.201.223.254237.201.223.2554,094
159237.201.224.0/20237.201.224.1 to 237.201.239.254237.201.239.2554,094
160237.201.240.0/20237.201.240.1 to 237.201.255.254237.201.255.2554,094
161237.202.0.0/20237.202.0.1 to 237.202.15.254237.202.15.2554,094
162237.202.16.0/20237.202.16.1 to 237.202.31.254237.202.31.2554,094
163237.202.32.0/20237.202.32.1 to 237.202.47.254237.202.47.2554,094
164237.202.48.0/20237.202.48.1 to 237.202.63.254237.202.63.2554,094
165237.202.64.0/20237.202.64.1 to 237.202.79.254237.202.79.2554,094
166237.202.80.0/20237.202.80.1 to 237.202.95.254237.202.95.2554,094
167237.202.96.0/20237.202.96.1 to 237.202.111.254237.202.111.2554,094
168237.202.112.0/20237.202.112.1 to 237.202.127.254237.202.127.2554,094
169237.202.128.0/20237.202.128.1 to 237.202.143.254237.202.143.2554,094
170237.202.144.0/20237.202.144.1 to 237.202.159.254237.202.159.2554,094
171237.202.160.0/20237.202.160.1 to 237.202.175.254237.202.175.2554,094
172237.202.176.0/20237.202.176.1 to 237.202.191.254237.202.191.2554,094
173237.202.192.0/20237.202.192.1 to 237.202.207.254237.202.207.2554,094
174237.202.208.0/20237.202.208.1 to 237.202.223.254237.202.223.2554,094
175237.202.224.0/20237.202.224.1 to 237.202.239.254237.202.239.2554,094
176237.202.240.0/20237.202.240.1 to 237.202.255.254237.202.255.2554,094
177237.203.0.0/20237.203.0.1 to 237.203.15.254237.203.15.2554,094
178237.203.16.0/20237.203.16.1 to 237.203.31.254237.203.31.2554,094
179237.203.32.0/20237.203.32.1 to 237.203.47.254237.203.47.2554,094
180237.203.48.0/20237.203.48.1 to 237.203.63.254237.203.63.2554,094
181237.203.64.0/20237.203.64.1 to 237.203.79.254237.203.79.2554,094
182237.203.80.0/20237.203.80.1 to 237.203.95.254237.203.95.2554,094
183237.203.96.0/20237.203.96.1 to 237.203.111.254237.203.111.2554,094
184237.203.112.0/20237.203.112.1 to 237.203.127.254237.203.127.2554,094
185237.203.128.0/20237.203.128.1 to 237.203.143.254237.203.143.2554,094
186237.203.144.0/20237.203.144.1 to 237.203.159.254237.203.159.2554,094
187237.203.160.0/20237.203.160.1 to 237.203.175.254237.203.175.2554,094
188237.203.176.0/20237.203.176.1 to 237.203.191.254237.203.191.2554,094
189237.203.192.0/20237.203.192.1 to 237.203.207.254237.203.207.2554,094
190237.203.208.0/20237.203.208.1 to 237.203.223.254237.203.223.2554,094
191237.203.224.0/20237.203.224.1 to 237.203.239.254237.203.239.2554,094
192237.203.240.0/20237.203.240.1 to 237.203.255.254237.203.255.2554,094
193237.204.0.0/20237.204.0.1 to 237.204.15.254237.204.15.2554,094
194237.204.16.0/20237.204.16.1 to 237.204.31.254237.204.31.2554,094
195237.204.32.0/20237.204.32.1 to 237.204.47.254237.204.47.2554,094
196237.204.48.0/20237.204.48.1 to 237.204.63.254237.204.63.2554,094
197237.204.64.0/20237.204.64.1 to 237.204.79.254237.204.79.2554,094
198237.204.80.0/20237.204.80.1 to 237.204.95.254237.204.95.2554,094
199237.204.96.0/20237.204.96.1 to 237.204.111.254237.204.111.2554,094
200237.204.112.0/20237.204.112.1 to 237.204.127.254237.204.127.2554,094
201237.204.128.0/20237.204.128.1 to 237.204.143.254237.204.143.2554,094
202237.204.144.0/20237.204.144.1 to 237.204.159.254237.204.159.2554,094
203237.204.160.0/20237.204.160.1 to 237.204.175.254237.204.175.2554,094
204237.204.176.0/20237.204.176.1 to 237.204.191.254237.204.191.2554,094
205237.204.192.0/20237.204.192.1 to 237.204.207.254237.204.207.2554,094
206237.204.208.0/20237.204.208.1 to 237.204.223.254237.204.223.2554,094
207237.204.224.0/20237.204.224.1 to 237.204.239.254237.204.239.2554,094
208237.204.240.0/20237.204.240.1 to 237.204.255.254237.204.255.2554,094
209237.205.0.0/20237.205.0.1 to 237.205.15.254237.205.15.2554,094
210237.205.16.0/20237.205.16.1 to 237.205.31.254237.205.31.2554,094
211237.205.32.0/20237.205.32.1 to 237.205.47.254237.205.47.2554,094
212237.205.48.0/20237.205.48.1 to 237.205.63.254237.205.63.2554,094
213237.205.64.0/20237.205.64.1 to 237.205.79.254237.205.79.2554,094
214237.205.80.0/20237.205.80.1 to 237.205.95.254237.205.95.2554,094
215237.205.96.0/20237.205.96.1 to 237.205.111.254237.205.111.2554,094
216237.205.112.0/20237.205.112.1 to 237.205.127.254237.205.127.2554,094
217237.205.128.0/20237.205.128.1 to 237.205.143.254237.205.143.2554,094
218237.205.144.0/20237.205.144.1 to 237.205.159.254237.205.159.2554,094
219237.205.160.0/20237.205.160.1 to 237.205.175.254237.205.175.2554,094
220237.205.176.0/20237.205.176.1 to 237.205.191.254237.205.191.2554,094
221237.205.192.0/20237.205.192.1 to 237.205.207.254237.205.207.2554,094
222237.205.208.0/20237.205.208.1 to 237.205.223.254237.205.223.2554,094
223237.205.224.0/20237.205.224.1 to 237.205.239.254237.205.239.2554,094
224237.205.240.0/20237.205.240.1 to 237.205.255.254237.205.255.2554,094
225237.206.0.0/20237.206.0.1 to 237.206.15.254237.206.15.2554,094
226237.206.16.0/20237.206.16.1 to 237.206.31.254237.206.31.2554,094
227237.206.32.0/20237.206.32.1 to 237.206.47.254237.206.47.2554,094
228237.206.48.0/20237.206.48.1 to 237.206.63.254237.206.63.2554,094
229237.206.64.0/20237.206.64.1 to 237.206.79.254237.206.79.2554,094
230237.206.80.0/20237.206.80.1 to 237.206.95.254237.206.95.2554,094
231237.206.96.0/20237.206.96.1 to 237.206.111.254237.206.111.2554,094
232237.206.112.0/20237.206.112.1 to 237.206.127.254237.206.127.2554,094
233237.206.128.0/20237.206.128.1 to 237.206.143.254237.206.143.2554,094
234237.206.144.0/20237.206.144.1 to 237.206.159.254237.206.159.2554,094
235237.206.160.0/20237.206.160.1 to 237.206.175.254237.206.175.2554,094
236237.206.176.0/20237.206.176.1 to 237.206.191.254237.206.191.2554,094
237237.206.192.0/20237.206.192.1 to 237.206.207.254237.206.207.2554,094
238237.206.208.0/20237.206.208.1 to 237.206.223.254237.206.223.2554,094
239237.206.224.0/20237.206.224.1 to 237.206.239.254237.206.239.2554,094
240237.206.240.0/20237.206.240.1 to 237.206.255.254237.206.255.2554,094
241237.207.0.0/20237.207.0.1 to 237.207.15.254237.207.15.2554,094
242237.207.16.0/20237.207.16.1 to 237.207.31.254237.207.31.2554,094
243237.207.32.0/20237.207.32.1 to 237.207.47.254237.207.47.2554,094
244237.207.48.0/20237.207.48.1 to 237.207.63.254237.207.63.2554,094
245237.207.64.0/20237.207.64.1 to 237.207.79.254237.207.79.2554,094
246237.207.80.0/20237.207.80.1 to 237.207.95.254237.207.95.2554,094
247237.207.96.0/20237.207.96.1 to 237.207.111.254237.207.111.2554,094
248237.207.112.0/20237.207.112.1 to 237.207.127.254237.207.127.2554,094
249237.207.128.0/20237.207.128.1 to 237.207.143.254237.207.143.2554,094
250237.207.144.0/20237.207.144.1 to 237.207.159.254237.207.159.2554,094
251237.207.160.0/20237.207.160.1 to 237.207.175.254237.207.175.2554,094
252237.207.176.0/20237.207.176.1 to 237.207.191.254237.207.191.2554,094
253237.207.192.0/20237.207.192.1 to 237.207.207.254237.207.207.2554,094
254237.207.208.0/20237.207.208.1 to 237.207.223.254237.207.223.2554,094
255237.207.224.0/20237.207.224.1 to 237.207.239.254237.207.239.2554,094
256237.207.240.0/20237.207.240.1 to 237.207.255.254237.207.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses